### Method

# Ide FileSettings get_file

#### Declaration

    GFile*
    ide_file_settings_get_file (
      IdeFileSettings* self
    )

#### Description

Retrieves the underlying file that `self` refers to.

This may be used by `IdeFileSettings` implementations to discover additional information about the settings. For example, a modeline parser might load some portion of the file looking for modelines. An editorconfig implementation might look for “.editorconfig” files.

Available since: | 3.32

Gets property | `Ide.FileSettings:file`

#### Return value

Returns: | `GFile`
| An `IdeFile`.
| The data is owned by the instance.